manimal

Member
Nov 30, 2002
20
0
151
Chesapeake, Virginia
cPanel Access Level
Root Administrator
I am installing on Red Hat 7.2
I have done 5 installs tried it on 7.0 7.1 7.2 redhat with same results. I have my network configure right have access to repos.

Code:
[2016-10-29 15:30:58 -0400] E The install encountered an error: Cannot proceed. Needed system RPMs were not installed.
2016-10-29 15:30:58 831 (DEBUG): The installation process detected a failed synchronization. The system will reattempt the synchronization with the updatenow.static file...
2016-10-29 15:30:58 815 ( INFO): Closing the installation log and passing output control to the updatenow.static file...
YAML::Syck is not available (attempting to ignore). at ./updatenow.static line 11721.
JSON::XS is not available (attempting to ignore). at ./updatenow.static line 18226.
[2016-10-29 15:30:58 -0400] Running version '11.58.0.32' of updatenow.
[2016-10-29 15:30:58 -0400] --force passed on command line. Upgrade will disregard update config settings.
[2016-10-29 15:30:58 -0400] Using mirror '208.43.108.66' for host 'httpupdate.cpanel.net'.
[2016-10-29 15:30:58 -0400] Successfully verified signature for cpanel (key types: release).
[2016-10-29 15:30:58 -0400] Target version set to '11.58.0.32'
[2016-10-29 15:30:58 -0400] Initial cPanel installation detected as in progress.
[2016-10-29 15:30:58 -0400] Checking license
[2016-10-29 15:30:58 -0400] Installation in progress. Skipping license check.
[2016-10-29 15:30:58 -0400] Checking that the RPM DB is OK...
[2016-10-29 15:30:58 -0400] glibc-2.17-106.el7_2.8.x86_64
[2016-10-29 15:30:58 -0400] OK: RPM DB is responding to queries
[2016-10-29 15:30:58 -0400] Testing if rpm_is_working RPM is installed
[2016-10-29 15:30:58 -0400] package rpm_is_working is not installed
[2016-10-29 15:30:58 -0400] Switching to version '11.58.0.32' of updatenow to perform sync.
[2016-10-29 15:30:58 -0400] checkyum version 22.3
[2016-10-29 15:31:01 -0400] checkyum version 22.3
[2016-10-29 15:31:01 -0400] Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-
[2016-10-29 15:31:04 -0400] No package bind-devel available.
[2016-10-29 15:31:04 -0400] No package compat-db available.
[2016-10-29 15:31:04 -0400] No package gamin-devel available.
[2016-10-29 15:31:05 -0400] No package gd-devel available.
[2016-10-29 15:31:05 -0400] No package gd-progs available.
[2016-10-29 15:31:05 -0400] No package glibc-static available.
[2016-10-29 15:31:05 -0400] No package libidn-devel available.
[2016-10-29 15:31:06 -0400] No package libmount-devel available.
[2016-10-29 15:31:06 -0400] No package lynx available.
[2016-10-29 15:31:06 -0400] No package python-tools available.
[2016-10-29 15:31:06 -0400] No package quota-devel available.
[2016-10-29 15:31:06 -0400] No package sharutils available.
[2016-10-29 15:31:06 -0400] No package tclx available.
[2016-10-29 15:31:06 -0400] No package tix available.
[2016-10-29 15:31:06 -0400] No package tkinter available.
[2016-10-29 15:31:06 -0400] E Error: Nothing to do
info [updatenow] No such locale as 'en'
[2016-10-29 15:31:06 -0400] E Failed to init Cpanel::ExceptionMessage::Raw: Can't locate Cpanel/ExceptionMessage/Raw.pm in @INC (@INC contains: /usr/local/cpanel /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at (eval 27) line 1.
[2016-10-29 15:31:06 -0400] checkyum version 22.3
[2016-10-29 15:31:09 -0400] E Sysup: Needed system RPMs were not installed: bind-devel, compat-db, gamin-devel, gd-devel, gd-progs, glibc-static, libidn-devel, libmount-devel, lynx, python-tools, quota-devel, sharutils, tclx, tix, tkinter
info [updatenow] sysup:: Notification => [email protected]***** via EMAIL [eventimportance => High (1)]
warn [updatenow] Failed to send notification of type “EMAIL”: Failed to init Cpanel::ExceptionMessage::Raw: Can't locate Cpanel/ExceptionMessage/Raw.pm in @INC (@INC contains: /usr/local/cpanel /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at (eval 33) line 1.

[2016-10-29 15:31:09 -0400] ***** FATAL: Cannot proceed. Needed system RPMs were not installed.
[2016-10-29 15:31:09 -0400] The Administrator will be notified to review this output when this script completes
[2016-10-29 15:31:09 -0400] E Detected events which require user notification during updatenow. Will send iContact the log
info [updatenow] upcp:: Notification => [email protected]***** via EMAIL [eventimportance => High (1)]
warn [updatenow] Failed to send notification of type “EMAIL”: Failed to init Cpanel::ExceptionMessage::Raw: Can't locate Cpanel/ExceptionMessage/Raw.pm in @INC (@INC contains: /usr/local/cpanel /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at (eval 39) line 1.


There were errors when running updatenow:



[2016-10-29 15:31:09 -0400] E The install encountered an error: Cannot proceed. Needed system RPMs were not installed.
2016-10-29 15:31:09 831 (DEBUG): The installation process detected a failed synchronization. The system will reattempt the synchronization with the updatenow.static file...
2016-10-29 15:31:09 837 (FATAL): The installation process was unable to synchronize cPanel & WHM. Verify that your network can connect to httpupdate.cpanel.net and rerun the installer.
 
Last edited by a moderator:

SysSachin

Well-Known Member
Aug 23, 2015
604
48
28
India
cPanel Access Level
Root Administrator
Twitter

manimal

Member
Nov 30, 2002
20
0
151
Chesapeake, Virginia
cPanel Access Level
Root Administrator
check your /etc/yum.conf and mke sure you do have any excludes

check and see if yum can install packages

IE:
yum update
yum istall bind-devel
[[email protected] etc]# yum install bind-devel
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
rhel-7-server-rpms | 3.5 kB 00:00:00
No package bind-devel available.
Error: Nothing to do
 

manimal

Member
Nov 30, 2002
20
0
151
Chesapeake, Virginia
cPanel Access Level
Root Administrator
looks like i resolved the problem on my server.

2016-10-29 15:31:09 837 (FATAL): The installation process was unable to synchronize cPanel & WHM. Verify that your network can connect to httpupdate.cpanel.net and rerun the installer.

after messing with yum and subscription-manager for 3 day loading and unloading repos

talking to red hat and cpanel tech support with no good out come I did this and my systems up and running
it has been frustrating to say the least my systems been down since storm. I been busy doing tree work so server suffered to only being able to work on it on weekends. I hope this help you all out I have been pulling out my hair.

I also did these with yum don't know if you need to do all this.

check
check-update
distribution-synchronization
update
update-minimal
upgrade


I checked what repos were enabled
[[email protected] home]# subscription-manager repos --list

only 1 repos was enabled. but I manually enabled them before and it didn't work this was only way, weird but it worked

I enabled all repos

[[email protected] home]# subscription-manager repos --enable=*

then disabled all beta repos
[[email protected] home]# subscription-manager repos --disable=*beta*


2016-10-30 09:46:28 1076 ( INFO): Thank you for installing cPanel & WHM 11.58!
2016-10-30 09:46:28 955 ( WARN): !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
2016-10-30 09:46:28 956 ( WARN): Your system kernel may have been updated.
2016-10-30 09:46:28 957 ( WARN): Current kernel (3.10.0-327.el7.x86_64) has been changed to: 3.10.0-327.36.3.el7.x86_64
2016-10-30 09:46:28 958 ( WARN): Before rebooting the system, please ensure that the installed kernel version is compatible with your deployment.
2016-10-30 09:46:28 968 ( WARN): !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
[[email protected] home]#
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,203
363
I checked what repos were enabled
[[email protected] home]# subscription-manager repos --list

only 1 repos was enabled. but I manually enabled them before and it didn't work this was only way, weird but it worked

I enabled all repos

[[email protected] home]# subscription-manager repos --enable=*

then disabled all beta repos
[[email protected] home]# subscription-manager repos --disable=*beta*
Hello,

I'm happy to see the issue is now resolved. Thank you for updating this thread with the outcome.